@use "colors";
@use "variables";

html {
    height: 100%; // ensures footer stays at bottom

    body {
        height: 100%; // ensures footer stays at bottom
        margin: 0;

        max-width: 100%; //prevents horizontal scrolling
        overflow-x: hidden;
    }

    font-size: 100%;

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        margin-block-start: 0;
        margin-block-end: 0;
        margin-inline-start: 0;
        margin-inline-end: 0;
    }

    a {
        text-decoration: none;
        color: colors.$blue;
    }

    // Messes with a lot of styles
    // span {
    //     margin: 1rem 0;
    // }

    strong, th{
        font-weight: 500;
    }
}


$page-padding-top: var(--page-padding-top);


// See https://stackoverflow.com/questions/10825879/how-can-a-variable-height-sticky-footer-be-defined-in-pure-css
// Corresponds to wrapper class in link.
#__next {
    height: 100%;

    .root {
        display: flex;
        /* use the flex model */
        min-height: 100%;
        flex-direction: column;

        .page {
            --page-padding-top: 124px;
            flex: 1;
            padding-top: $page-padding-top;

            @media only screen and (max-width: variables.$mobile-width) {
                --page-padding-top: 88px;
            }

            .background-image {
                width: 100%;
                margin-bottom: -10%;
                position: relative;
                z-index: -1;
            }
        }
    }
}